Subject: Re: [lemonade] Proposed LEMONADE interim agenda

From: Chris Newman <[email-masked]>
Date: Thu, 01 Sep 2005 16:57:22 -0700

Two issues:

1. If UIDPLUS (RFC 2359) is included in the lemonade profile at all, I would
   prefer it be included in Phase 1 on the grounds it is already an RFC and
   thus would not delay phase 1 and would make phase 1 more useful.

2. I believe NAMESPACE (RFC 2342) should also be included in the Lemonade
   profile.  I'm suggesting this because I was told about a mobile phone
   IMAP client which fails to handle shared folders properly and drawing
   NAMESPACE into the profile will make the issue of shared folders clearer.

   More detail of the issue:

   An IMAP server can offer both personal and shared mailboxes.  End-users
   typically expect an IMAP client to show all personal mailboxes and no
   shared mailboxes by default with IMAP subscriptions providing a mechanism
   to adjust those defaults.  The IMAP base spec provides no way to
   distinguish personal mailboxes from shared mailboxes, so an
   IMAP-base-spec-only client which respects shared mailboxes can at best
   show all mailboxes by default and provide an "unsubscribe" feature or show
   no mailboxes by default and provide a "subscribe" feature.  The
   NAMESPACE extension provides a way for an IMAP client to distinguish
   personal mailboxes from shared mailboxes and thus can provide a better
   default experience.

   This is also important because the IMAP base spec is not particularly
   clear about how shared mailboxes work.  And the implementation advice in
   RFC 2683 only explains one of the client pitfalls when dealing with a
   server that offers shared mailboxes.  The other pitfall impacts caching
   clients which do not use subscriptions or an equivalent mechanism to
   control the list of mailboxes.  If such clients always cache all mailboxes
   available via LIST, they won't work as end-users expect with shared
   mailboxes and will consume a lot of unnecessary bandwidth at a site with
   a lot of shared mailboxes.

                - Chris

Glenn Parsons wrote on 8/24/05 16:13 -0400:
> Proposed LEMONADE WG Interim
> ============================
>
> Date: September 29-30
> Location: London, UK
>
> Agenda
> ------
>
> Document status
>   - last calls, RFC editor, etc.
>
> Phase 1 Profile review
>   - pre WG last call
>
> Phase 2 Profile 'goals'
>   - finalize general content
>
> Server-to-Client notifications
>   - review of IAB ruling
>   - discussion on LEMONADE approach
>
> Review proposals for inclusion in Phase 2
>   - Deliver
>     draft-maes-lemonade-deliver-00.txt
>
>   - Firewalls
>     draft-maes-lemonade-http-binding-01.txt
>     draft-smaes-lemonade-intermediary-challenges-01.txt
>
>   - Filter
>     draft-maes-lemonade-lconvert-01.txt
>     *draft-wener-lemonade-msgfilter-02.txt
>     *SIEVE
>
>   - Compression
>     draft-maes-lemonade-lzip-01.txt
>
>   - UID
>     draft-maes-lemonade-monoincuid-01.txt
>     RFC 2359 (UIDPLUS)
>
>   - S2C notifications
>     draft-maes-lemonade-notifications-server-to-client-01.txt
>     *draft-wener-lemonade-clearidle-02.txt
>
>   - Content Transformation
>     *draft-wener-lemonade-conversion-00.txt
>     draft-maes-lemonade-lconvert-01.txt
>     *draft-ietf-lemonade-channel  derivatives
>
>   - Draft profile
>     draft-maes-lemonade-mobile-email-04.txt
>
>   * - author/editor volunteers requested to progress drafts
>
> _______________________________________________
> lemonade mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/lemonade
>

_______________________________________________
lemonade mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/lemonade

---

From: Alexey Melnikov <[email-masked]>
Date: Fri, 02 Sep 2005 12:33:35 +0100

>   thus would not delay phase 1 and would make phase 1 more useful.

It is already included in the next revision that Stephane and I are 
working on.

>   NAMESPACE into the profile will make the issue of shared folders 

I think that NAMESPACE should be folded into the next revision of 
IMAP4rev1, but in the meantime I agree with your proposal.

---

From: Randall Gellens <[email-masked]>
Date: Thu, 15 Sep 2005 14:33:12 -0700

I think we need to advance the mapping draft.  I have been 
disappointed that there has not been a peep on the list about the 
revised draft.  We should allocate some time at the interim to make 
sure people are happy with it.
-- 
Randall Gellens
Opinions are personal;    facts are suspect;    I speak for myself only
-------------- Randomly-selected tag: ---------------
Interpreter:  One who enables two persons of different languages to
understand each other by repeating to each what it would have been to
the interpreter's advantage for the other to have said.